This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 502360 - npviewer.bin segfaults repeatedly when flashblock firefox add-on is in use
npviewer.bin segfaults repeatedly when flashblock firefox add-on is in use
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-24 08:59 EDT by Jonathan Kamens
Modified: 2010-06-28 08:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:41:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Script for coredump analysis (328 bytes, text/plain)
2009-06-06 18:30 EDT, Matěj Cepl
no flags Details
npviewer.bin backtrace (21.60 KB, text/plain)
2009-06-10 22:38 EDT, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2009-05-24 08:59:47 EDT
npviewer.bin segfaults basically every time a flash object is displayed with the little flashblock icon.  Here's what firefox prints when this happens:

(npviewer.bin:29996): Gdk-WARNING **: GdkWindow 0x4000035 unexpectedly destroyed

(npviewer.bin:29996): Gdk-WARNING **: GdkWindow 0x4000034 unexpectedly destroyed

(npviewer.bin:29996): Gdk-WARNING **: GdkWindow 0x4000033 unexpectedly destroyed

(npviewer.bin:29996): Gdk-WARNING **: GdkWindow 0x4000030 unexpectedly destroyed
The program 'npviewer.bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 411 error_code 156 request_code 148 minor_code 7)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
*** NSPlugin Wrapper *** ERROR: NPP_WriteReady() invoke: Broken pipe
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:2394):invoke_NPP_Write: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:2239):invoke_NPP_DestroyStream: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:2123):invoke_NPP_URLNotify: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:2167):invoke_NPP_NewStream: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:2123):invoke_NPP_URLNotify: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:2344):invoke_NPP_WriteReady: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:2394):invoke_NPP_Write: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:2239):invoke_NPP_DestroyStream: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:1858):invoke_NPP_Destroy: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** ERROR: NPObject 0xab504080 is no longer valid!
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:1858):invoke_NPP_Destroy: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** ERROR: NPObject 0xad208868 is no longer valid!
Comment 1 Matěj Cepl 2009-06-06 18:30:47 EDT
Created attachment 346768 [details]
Script for coredump analysis

Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run in gnome-terminal command

	ulimit -c unlimited

Then from the same gnome-terminal (don't close its tab in between) run firefox. When npviewer.bin crashes and file core.<nunmber> is generated, please, attach output of the command (using the attached bash script):

	gbt firefox core.<number>

and send us generated text file as an independent uncompressed attachment to this bugzilla.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2009-06-08 18:08:45 EDT
I have tested in last couple of days what happens when nspluginwrapper is uninstalled and flash-plugin (64bit) is used directly. I have to admit that I have very visibly less crashes than with nspluginwrapper.

Please, reporter, provide the information I asked you for. I will reinstall nspluginwrapper and will try to reproduce it again and provide my backtraces, and we'll see whether it is the same.
Comment 3 Bug Zapper 2009-06-09 12:29:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jonathan Kamens 2009-06-10 22:37:40 EDT
$ rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*
anaconda-yum-plugins-1.0-4.fc11.noarch
yum-plugin-fastestmirror-1.1.21-2.fc11.noarch
vamp-plugin-sdk-2.0-5.fc11.i586
audacious-plugins-1.5.1-3.fc11.i586
mail-notification-evolution-plugin-5.4-10.fc11.i586
beagle-firefox-0.3.9-7.fc11.i586
mozilla-filesystem-1.9-4.fc11.i586
plymouth-plugin-two-step-0.7.0-0.2009.05.15.1.fc11.i586
gstreamer-plugins-good-0.10.14-2.fc11.i586
yum-plugin-allowdowngrade-1.1.21-2.fc11.noarch
xulrunner-1.9.1-0.20.beta4.fc11.i586
nspluginwrapper-debuginfo-1.3.0-5.fc11.i586
plymouth-plugin-space-flares-0.7.0-0.2009.05.15.1.fc11.i586
gutenprint-plugin-5.2.3-5.fc11.i586
maven2-plugin-release-2.0.4-11.19.fc11.i586
mozilla-vlc-1.0.0-0.9rc2.fc11.i586
flash-plugin-10.0.22.87-release.i386
nspluginwrapper-1.3.0-5.fc11.i586
yum-plugin-downloadonly-1.1.21-2.fc11.noarch
firefox-3.5-0.20.beta4.fc11.i586
java-1.6.0-openjdk-plugin-1.6.0.0-22.b16.fc11.i586
maven-shared-plugin-testing-harness-1.0-5.7.fc11.i586
gstreamer-plugins-farsight-0.12.10-2.fc11.i586
gstreamer-plugins-flumpegdemux-0.10.15-6.fc11.i586
plymouth-plugin-throbgress-0.7.0-0.2009.05.15.1.fc11.i586
gstreamer-plugins-base-0.10.22-2.fc11.i586
plymouth-plugin-label-0.7.0-0.2009.05.15.1.fc11.i586
PackageKit-yum-plugin-0.4.6-8.fc11.i586
yum-plugin-changelog-1.1.21-2.fc11.noarch
Comment 5 Jonathan Kamens 2009-06-10 22:38:39 EDT
Created attachment 347326 [details]
npviewer.bin backtrace

Trying to get a backtrace from firefox would be pretty useless, considering that the coredump is from npviewer.bin, not firefox.

I installed all the needed debuginfos and grabbed a backtrace from npviewer.bin.  See attached.
Comment 6 Matěj Cepl 2009-06-11 06:31:05 EDT
I am really confused by this backtrace ... on the one hand the crash seems to be somewhere in libflashplayer not in npviewer, on the other hand, the thread which leads to crash was apparently already resolving some error message or what.

And no I cannot reproduce it ... 
a) I don't see any pattern of reproduction here,
b) flash (may be with FF 3.5b4?) just doesn't seem to be crashing to me that much.
Comment 7 Benjamin Krill 2009-06-11 07:17:11 EDT
I had the same issue and solved it by removing "libflashsupport". Maybe this is your issue too.
Comment 8 Rick Richardson 2009-10-22 14:56:59 EDT
Ditto!  "I had the same issue and solved it by removing "libflashsupport". Maybe this is
your issue too."
Comment 9 Bug Zapper 2010-04-27 10:30:07 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 08:41:40 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.